.b_form_element_wrapper textarea {
    background-color: white;
    overflow: auto;
    max-height: 400px;
}

.note-toolbar {
    box-shadow: 0 2px 8px rgba(0,0,0,0.08);
}

.note-toolbar {
    display: flex;
    flex-wrap: wrap;
}

.note-toolbar > .note-btn-group:nth-child(1) {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    padding-bottom: 6px;
    border-bottom: 1px solid #ddd;
    margin-bottom: 6px;
}

.placeholder-token {
    display: inline-block;
    background: #e5e5e5;
    border-radius: 12px;
    padding: 2px 22px 2px 8px;
    margin: 0 2px;
    position: relative;
}

.placeholder-token::after {
    content: "×";
    position: absolute;
    right: 7px;
    top: 50%;
    transform: translateY(-50%);
    font-weight: bold;
    opacity: .7;
    cursor: pointer;
}

.placeholder-text {
    margin-right: 6px;
}

.note-editor.note-frame .note-editing-area {
  overflow-y: auto !important;
  height: 800px;
}

.btn-primary {
    background-color: #00008c;
    color: white;
    border-color: #00008c;
}

.btn-primary:hover {
    color: white;
    background-color: #00007a; /* etwas dunkler */
    border-color: #00007a;
}

.iqtest .assess-container {display: none}
.resource-details {display: none}
.resource-header:not(.no-title) .main-header {
  background-color: white !important;
  border-bottom: solid 3px var(--main-theme-color-50);
}

.resource-header:not(.no-title) .main-header h2 {
  font-size: 1.2rem;
  font-weight: bold;
}

.content-container-inner {margin-bottom: 30px}

.cl .list-group-item-text {border-left: solid 3px var(--main-theme-color-50); padding-left: 10px;}
.cl .list-group-item-heading {display: inline-block; margin-bottom: 10px}
.cl .header-box {font-size: 1.2rem}

.list-group-checkbox {
  align-self: center;
  margin: 15px;
}

.list-group-checkbox:has(input[type="checkbox"]:checked) + .list-group-item-action .list-group-item-heading, .list-group-checkbox:has(input[type="checkbox"]:checked) + .list-group-item-action .list-group-item-text  {
    text-decoration: line-through;
}

.list-group-checkbox input[type="checkbox"] {
  transform: scale(1.5);
  cursor: pointer;
}

.menu-container {width: 20%}
.hide-course-tree {display: none}
.assess-passed {display: none}

.main-header-desc img {
    float: left;
    margin: 20px 20px 20px 0;
    transition: transform 0.25s ease, border 0.25s ease, box-shadow 0.25s ease;
    /* optional: sanfte Rundung */
    border: 2px solid transparent; /* Platzhalter für den Hover-Rahmen */
    border-radius: 4px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}

/* Bild beim Hover: dezenter Rahmen */
.main-header-desc img:hover {
    border: 2px solid #00008c; /* dunkles Blau */
    box-shadow: 0 0 8px rgba(0, 0, 140, 0.5);
}

.main-header-desc p {
  text-align: justify;
  hyphens: auto;
}

.card-body .btn:hover {
  opacity: 0.8;
}

.course-toc-content img {
    float: left;
    margin: 20px 20px 20px 0;
    transition: transform 0.25s ease, border 0.25s ease, box-shadow 0.25s ease;
    /* optional: sanfte Rundung */
    border: 2px solid transparent; /* Platzhalter für den Hover-Rahmen */
    border-radius: 4px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.15);
}

/* Bild beim Hover: dezenter Rahmen */
.course-toc-content img:hover {
    border: 2px solid #00008c; /* dunkles Blau */
    box-shadow: 0 0 8px rgba(0, 0, 140, 0.5);
}

.course-toc-content p {
  text-align: justify;
  hyphens: auto;
}

@font-face {
  font-family: 'TUDIcons';
  src: url('TUDIcons.ttf');
  font-weight: normal;
  font-style: normal;
}

.own-icon {
  font-family: 'TUDIcons';
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  line-height: 1;
  display: inline-block;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-einfuehrung::before {
    content: "\f865"
}

.icon-brain::before {
    content: "\1f9ea"
}

.icon-download::before {
    content: "\f0ed";
}

.icon-zertifikat:before {
    content: "\f5f3"
}

.icon-question:before {
    content: "\f059"
}

.icon-folder1:before {
    content: "\1f4c1"
}

.icon-hilfe:before {
    content: "\1f91d"
}

.icon-cog:before {
    content: "\2699"
}

.icon-notes:before {
    content: "\1f5d2"
}

.icon-herbs:before {
    content: "\1f33f"
}

.jstree-anchor.node-st {
  display: flex;
  align-items: flex-start; /* Icon oben ausrichten */
  overflow-wrap: anywhere;
  hyphens: auto;
  max-width: 100%;
  height: 100%;
  white-space: normal; 
}

#template_img {
  transition: transform 0.3s ease; /* weiche Animation */
}

#template_img:hover {
  transform: scale(1.03); /* 1.05 = 5 % größer */
}